{
inputs.nixpkgs.url = "flake:nixpkgs";
inputs.flake-utils.url = "github:numtide/flake-utils";
outputs = inputs:
  inputs.flake-utils.lib.eachDefaultSystem (system: let
    pkgs = inputs.nixpkgs.legacyPackages.${system};
    in {
      defaultPackage = import ./default.nix { inherit pkgs; };
      devShell = (import ./default.nix {
        inherit pkgs;
      }).shell;
    }
  );
}
